Get page HTML
POST/computers/{id}/html
Get the HTML content of the current browser page. Optionally specify tab_id (browser sessions only)
Path Parameters
id: string
Body ParametersJSON
auto_detect_encoding: optional boolean
tab_id: optional string
Returns
Get page HTML
curl https://api.tzafon.ai/computers/$ID/html \
-X POST \
-H "Authorization: Bearer $TZAFON_API_KEY"{
"error_message": "error_message",
"executed_tab_id": "executed_tab_id",
"page_context": {
"device_scale_factor": 0,
"is_main_tab": true,
"page_height": 0,
"page_width": 0,
"scroll_x": 0,
"scroll_y": 0,
"tab_id": "tab_id",
"title": "title",
"url": "url",
"viewport_height": 0,
"viewport_width": 0
},
"request_id": "request_id",
"result": {
"foo": "bar"
},
"status": "status",
"timestamp": "timestamp"
}Returns Examples
{
"error_message": "error_message",
"executed_tab_id": "executed_tab_id",
"page_context": {
"device_scale_factor": 0,
"is_main_tab": true,
"page_height": 0,
"page_width": 0,
"scroll_x": 0,
"scroll_y": 0,
"tab_id": "tab_id",
"title": "title",
"url": "url",
"viewport_height": 0,
"viewport_width": 0
},
"request_id": "request_id",
"result": {
"foo": "bar"
},
"status": "status",
"timestamp": "timestamp"
}